from os.path import join

directories = {
    '/etc/openvpn/client': {
        'purge': True,
    },
}

for config in node.metadata.get('openvpn-client', {}).get('configs', set()):
    files[f'/etc/openvpn/client/{config}.conf'] = {
        'content': repo.vault.decrypt_file(join('openvpn-client', f'{config}.conf.vault')),
        'triggers': {
            f'svc_systemd:openvpn-client@{config}:restart',
        },
    }

    svc_systemd[f'openvpn-client@{config}'] = {
        'needs': {
            f'file:/etc/openvpn/client/{config}.conf',
            'pkg_apt:openvpn',
        },
    }
